import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class AccountsService {

  constructor() { }


  accounts = [
    {
      name: 'Master Account',
      status: 'active'
    },
    {
      name: 'Test Account',
      status: 'inactive'
    },
    {
      name: 'Hidden Account',
      status: 'unknown'
    }
  ];

  //Add Account
  addAccount(actName:string,actSatus:string){
    console.log(" Accounts Service <===> AddAccount Method");
    console.log(" New Account Name <===> " ,actName);
    console.log("New  Account Status <===> " ,actSatus);
    this.accounts.push({name:actName,status:actSatus});
  }


  //Update Account
  updateAccount(id:number,newStatus:string){
    console.log(" Accounts Service <===> UpdateAccount Method");
    console.log(" Current Status <===> " , this.accounts[id].status);
    console.log(" New Status <===> " , newStatus);
    this.accounts[id].status=newStatus;

  }

}
